Loading...
Searching...
No Matches
QXmppDiscoveryIq Class Reference
Stanzas
Inheritance diagram for QXmppDiscoveryIq:
[legend]
Collaboration diagram for QXmppDiscoveryIq:
[legend]

## Classes

class | Identity
| Identity represents one of possibly multiple identities of an XMPP entity obtained from a service discovery request as defined in XEP-0030: Service Discovery. More...
class | Item

## Public Types

enum | QueryType { InfoQuery , ItemsQuery }
Public Types inherited from QXmppIq
enum | Type { Error = 0 , Get , Set , Result }
| This enum describes the type of IQ. More...

## Public Member Functions

| QXmppDiscoveryIq (const QXmppDiscoveryIq &)
| Default copy-constructor.
| QXmppDiscoveryIq (QXmppDiscoveryIq &&)
| Default move-constructor.
QXmppDiscoveryIq & | operator= (const QXmppDiscoveryIq &)
| Default assignment operator.
QXmppDiscoveryIq & | operator= (QXmppDiscoveryIq &&)
| Default move-assignment operator.
QStringList | features () const
void | setFeatures (const QStringList &features)
QList< QXmppDiscoveryIq::Identity > | identities () const
void | setIdentities (const QList< QXmppDiscoveryIq::Identity > &identities)
QList< QXmppDiscoveryIq::Item > | items () const
void | setItems (const QList< QXmppDiscoveryIq::Item > &items)
QXmppDataForm | form () const
void | setForm (const QXmppDataForm &form)
QString | queryNode () const
void | setQueryNode (const QString &node)
enum QueryType | queryType () const
void | setQueryType (enum QueryType type)
QByteArray | verificationString () const
Public Member Functions inherited from QXmppIq
| QXmppIq (QXmppIq::Type type=QXmppIq::Get)
| QXmppIq (const QXmppIq &other)
| Constructs a copy of other.
| QXmppIq (QXmppIq &&)
| Default move-constructor.
QXmppIq & | operator= (const QXmppIq &other)
| Assigns other to this IQ.
QXmppIq & | operator= (QXmppIq &&)
| Move-assignment operator.
QXmppIq::Type | type () const
void | setType (QXmppIq::Type)
bool | isXmppStanza () const override
Public Member Functions inherited from QXmppStanza
| QXmppStanza (const QString &from=QString(), const QString &to=QString())
| QXmppStanza (const QXmppStanza &other)
| Constructs a copy of other.
| QXmppStanza (QXmppStanza &&)
| Move constructor.
| ~QXmppStanza () override
| Destroys a QXmppStanza.
QXmppStanza & | operator= (const QXmppStanza &other)
| Assigns other to this stanza.
QXmppStanza & | operator= (QXmppStanza &&)
| Move-assignment operator.
QString | to () const
void | setTo (const QString &)
QString | from () const
void | setFrom (const QString &)
QString | id () const
void | setId (const QString &)
QString | lang () const
void | setLang (const QString &)
QXmppStanza::Error | error () const
std::optional< Error > | errorOptional () const
void | setError (const QXmppStanza::Error &error)
void | setError (const std::optional< Error > &error)
QXmppElementList | extensions () const
void | setExtensions (const QXmppElementList &elements)
QList< QXmppExtendedAddress > | extendedAddresses () const
void | setExtendedAddresses (const QList< QXmppExtendedAddress > &extendedAddresses)
std::optional< QXmppE2eeMetadata > | e2eeMetadata () const
void | setE2eeMetadata (const std::optional< QXmppE2eeMetadata > &e2eeMetadata)
Public Member Functions inherited from QXmppNonza
virtual void | parse (const QDomElement &)=0
virtual void | toXml (QXmlStreamWriter *writer) const =0

## Static Public Member Functions

static bool | isDiscoveryIq (const QDomElement &element)

## Detailed Description

QXmppDiscoveryIq represents a discovery IQ request or result containing a list of features and other information about an entity as defined by XEP-0030: Service Discovery.

## Member Enumeration Documentation

## QueryType

enum QXmppDiscoveryIq::QueryType

Specifies the type of a service discovery query. An InfoQuery queries identities and features, an ItemsQuery queries subservices in the form of items.

## Member Function Documentation

## features()

QStringList QXmppDiscoveryIq::features | ( |  | ) | const

Returns the features of the service.

## form()

QXmppDataForm QXmppDiscoveryIq::form | ( |  | ) | const

Returns the QXmppDataForm for this IQ, as defined by XEP-0128: Service Discovery Extensions.

## identities()

QList< QXmppDiscoveryIq::Identity > QXmppDiscoveryIq::identities | ( |  | ) | const

Returns the list of identities for this service.

## isDiscoveryIq()

bool QXmppDiscoveryIq::isDiscoveryIq | ( | const QDomElement & | element | ) |

static

Returns true, if the element is a valid service discovery IQ and can be parsed.

## items()

QList< QXmppDiscoveryIq::Item > QXmppDiscoveryIq::items | ( |  | ) | const

Returns the list of service discovery items.

## queryNode()

QString QXmppDiscoveryIq::queryNode | ( |  | ) | const

Returns the special node to query.

## queryType()

QXmppDiscoveryIq::QueryType QXmppDiscoveryIq::queryType | ( |  | ) | const

Returns the query type (info query or items query).

## setFeatures()

void QXmppDiscoveryIq::setFeatures | ( | const QStringList & | features | ) |

Sets the features of the service.

## setForm()

void QXmppDiscoveryIq::setForm | ( | const QXmppDataForm & | form | ) |

Sets the QXmppDataForm for this IQ, as define by XEP-0128: Service Discovery Extensions.

Parameters

  form |

## setIdentities()

void QXmppDiscoveryIq::setIdentities | ( | const QList< QXmppDiscoveryIq::Identity > & | identities | ) |

Sets the list of identities for this service.

## setItems()

void QXmppDiscoveryIq::setItems | ( | const QList< QXmppDiscoveryIq::Item > & | items | ) |

Sets the list of service discovery items.

## setQueryNode()

void QXmppDiscoveryIq::setQueryNode | ( | const QString & | node | ) |

Sets the special node to query.

## setQueryType()

void QXmppDiscoveryIq::setQueryType | ( | enum QueryType | type | ) |

Sets the query type (info query or items query).

## verificationString()

QByteArray QXmppDiscoveryIq::verificationString | ( |  | ) | const

Calculate the verification string for XEP-0115: Entity Capabilities.

The documentation for this class was generated from the following files:

- QXmppDiscoveryIq.h
- QXmppDiscoveryIq.cpp